<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
//echo("1xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->AliasNbPages();
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=20;
			 $margem=$margemEsquerda;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-36;
 	 		 $futer=$maximoHAdobe-10;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 $larguraDaLinha=4;
	 //AQUI COMECA PARTE DO BOLETIM 2013
 
     //PARAMETROS GERAIS
     //altura util=210  largura util=297(dados do adobe)
 

	 //largura de uma margem a outra = 281  se eu imprimo algo esta soma nao pode ultrapassar este valor
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 //ESTAS COTAS SAO AS COTRAS DAS LINHAS HORINTAIS GROSSAS QUE SERVEM DE ORIGEM PARA O QUE VEM A SEGUIR
	 $cota1=10;//inicio de tudo
	 $cota1a=35;//final do cabecalho
     $vetorCabecalho=$objetocalculo->dadoslaboratorio();

	 ############RESULTADO DE ANALISE########################
 	 #################vai imprimir resultados##########################
	//aqui vou preparar o vetor de resultados/amostras
	//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
	//ENTRA DE QUAKQUER MANEIRA
	//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

	$generica=new tabelagenerica();
	$generica->tabela="documentosponte";
	$generica->campos_valores = array(
			"dpo_amostra_vinculada" => NULL,
		);
	$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 4";
	$generica->selecionaCampos($generica);
	$contaAmostras=0;
	while ($resgenerica = $generica->retornaDados()):
	    $contaAmostras++;
		//$vetorDPO[$contaAmostras]=$resgenerica->dpo_amostra_vinculada;
		$amostraLong=$resgenerica->dpo_amostra_vinculada;
	endwhile;
	$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
	 $pdf->AddPage();//adicionando a primera pafina 
     $pdf->SetFont('Times','',8);
	 //retangulo geral externo
	 $pdf-> Rect($margemEsquerda-10,1,$larguraUtil+20,$futer);
     //imprime cabecalho  
	 $posicaoCab1=60;
	 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 //echo("caminhofinal=$caminhoFinal<br>");
	 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
     $pdf->SetFont('Times','B',9);
	 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
	 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
	 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
	 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[4]),0,1,'C');//lab nome

     $pdf->SetFont('Times','B',11);
	 $pdf->setXY($margemEsquerda,30);
     $pdf->Cell($larguraUtil,6,utf8_decode('INFORMAÇÃO DE RESULTADO DE ANÁLISE FITOSSANITÁRIA'),0,1,'C');//
     $pdf->Rect($margemEsquerda,36,$larguraUtil,245);
	 $pdf->setXY($margemEsquerda,36);
	 $pdf->Cell($larguraUtil,6,utf8_decode('IDENTIFICAÇÃO DO REQUERENTE'),1,1,'C',1);//lab nome
	//ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	$generica1=new tabelagenerica();
	$generica->extras_select =" select fic_procedencia, fic_amostra,fic_ano, fic_dt_entrada,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
	//$generica->extras_select =" where fic_enquadramento='".$enquadramento."' && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
	$generica->selecionaCamposEspecial($generica);
	while ($resgenerica= $generica->retornaDados()):
	    $amostra=$resgenerica->fic_amostra;//amostra
	    $entrada=$resgenerica->fic_dt_entrada;
	    $cultivar=$resgenerica->ctv_nome;
	    $nome=$resgenerica->prd_nome;
	    $endereco=$resgenerica->prd_endereco;
	    $ano=$resgenerica->fic_ano;
        $procedencia=$resgenerica->fic_procedencia;
        $amostraLong=$resgenerica->fic_id;
	endwhile; 
    $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
    $cota1=42; 
    //retangulo ao redor de identificacao do requerente
    $pdf-> Rect($margemEsquerda,$cota1,$larguraUtil,10);

	$pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell(50,5,'Requerente :'.$nome.'/'.$ano,0,1,'L');//amostra

	$pdf->setXY($margemEsquerda,$cota1+5);
    $pdf->Cell(50,5,utf8_decode('Endereço:'.$endereco),0,1,'L');//lote

	$largura1=60;
	$largura2=80;
	$cota1+=10;
    //linha identif. amostra
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,6,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA Nº '.$vetorCapturaGeral[1].'/2016'),1,1,'C',1);//lab nome
    $cota1+=6;
	$pdf-> Rect($margemEsquerda,$cota1,$larguraUtil,20);
	$pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell(50,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L');
    $pdf->SetFont('Times','I',9);
    $pdf->Cell($largura1,5,'('.utf8_decode($vetorCapturaGeral[30]).')',0,1,'L');
    $cota1+=5;
	$pdf->SetFont('Times','B',9);
	$pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($largura1,5,utf8_decode('Procedência:'.$procedencia),0,1,'L');
	$pdf->setXY($margemEsquerda,$cota1+5);
    $pdf->Cell($largura1,5,utf8_decode('Objetivo da análise:'.$vetorDadosDocumento[19]),0,1,'L');
	$pdf->setXY($margemEsquerda,$cota1+10);
    $pdf->Cell($largura1,5,utf8_decode('Data de recebimento da amostra:'),0,1,'L');


    $cota1+=15;
	$pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,6,utf8_decode('MÉTODO UTILIZADO PARA DETECÇÃO E IDENTIFICAÇÃO DO PATÓGENO'),1,1,'C',1);//lab nome
	$pdf->setXY($margemEsquerda,$cota1+6);
    $pdf->Cell($larguraUtil ,5,utf8_decode('Fungos:'.$vetorDadosDocumento[20]),1,1,'L');


//RESULTADO DA ANÁLISE
$larg1=140;
$larg2=34;

	$pdf->setXY($margemEsquerda,$cota1+12);
    $pdf->Cell($larguraUtil,8,utf8_decode('RESULTADO DA ANÁLISE'),0,1,'C');//lab nome
	$pdf->SetFont('Times','B',9);
	$pdf->setXY($margemEsquerda,$cota1+20);
    $pdf->Cell($larg1,5,utf8_decode('Nº da amostra'),1,0,'L');//lab nome
    $pdf->Cell($larg2,5,$amostra.'/'.$ano,1,1,'C');//lab nome
$cota1+=20;	
//AQUI É O SETOR QUE TRABALHA COM FITOPATOLOGIA
	//ENTRA DE QUAKQUER MANEIRA
	$generica=new tabelagenerica();
	$generica->tabela="listapatogenosamostra,listapatogenos";
	$generica->campos_valores = array(
			"lip_nome_cientifico" => NULL,
			"lpa_valor" => NULL,
			"lpa_id" => NULL,
		);
	$generica->extras_select ="  where lpa_id_patogeno=lip_id and lpa_id_amostra=".$amostraLong." order by lpa_id";
    $generica->selecionaCampos($generica);
    $contador=0;
                			  
	while ($resgenerica = $generica->retornaDados()):
        $cota1+=5;
        $pdf->setXY($margemEsquerda,$cota1);
        $pdf->SetFont('Times','I',8);
		$pdf->Cell($larg1,5,utf8_decode($resgenerica->lip_nome_cientifico),1,0,'L');//
        $pdf->SetFont('Times','',8);
		$pdf->Cell($larg2,5,number_format($resgenerica->lpa_valor,2,",","."),1,0,'C');//
    endwhile;

    $cota1=190; 
//aqui vai fazer uns casuismos, dependendo se tem ou nao informacao
//funfos saprofitos(duas linhas)
$textoSaprofito1=$vetorDadosDocumento[21];
$textoSaprofito2=$vetorDadosDocumento[22];
//se a primeira linha de fungos foi preenchida....
if(strlen($textoSaprofito1)>3):
    $cota1+=5; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,5,utf8_decode("Apresentou os seguintes fungos saprófitas:"),1,0,'L');//
    $cota1+=5; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->SetFont('Times','I',8);
    $pdf->Cell($larguraUtil,5,utf8_decode($textoSaprofito1),1,0,'L');//
endif;
//se a segunda linha de fungos foi preenchida....
if(strlen($textoSaprofito2)>3):
    $cota1+=5; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,5,utf8_decode($textoSaprofito2),1,0,'L');//
endif;

//////OBSERVAÇÕES
    $pdf->SetFont('Times','B',12);
    $cota1+=35; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,5,utf8_decode('OBSERVAÇÕES:x'),1,1,'L');//lab nome
    $pdf->SetFont('Times','',10);
	$cota1+=5;
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,5,utf8_decode($vetorDadosDocumento[23]),1,1,'L');//
    //coloca uma segunda linha de obseervacoes caso tenha colocado um texto maior que 3 caracteres
if(strlen($vetorDadosDocumento[24])>3):
    $cota1+=5; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,5,utf8_decode($vetorDadosDocumento[24]),1,0,'L');//
endif;
    //coloca uma terceira linha de obseervacoes caso tenha colocado um texto maior que 3 caracteres
if(strlen($vetorDadosDocumento[25])>3):
    $cota1+=5; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->Cell($larguraUtil,5,utf8_decode($vetorDadosDocumento[25]),1,0,'L');//
endif;

//notas vem numa posicao fixa
$cota1=230; 
    $pdf->setXY($margemEsquerda,$cota1);
    $pdf->SetFont('Times','B',10);
    $pdf->Cell($larguraUtil,4,utf8_decode('NOTAS:'),0,1,'L');//lab nome
    $pdf->setXY($margemEsquerda,$cota1+5);
    $pdf->Cell($larguraUtil,3,utf8_decode('1-A identificação da amostra é de exclusiva responsabilidade do remetente.'),0,1,'L');//lab nome
    $pdf->setXY($margemEsquerda,$cota1+9);
    $pdf->Cell($larguraUtil,3,utf8_decode('2-A presente análise tem seu valor restrito à amostra entregue ao laboratório.'),0,1,'L');//lab nome
    $pdf->setXY($margemEsquerda,$cota1+13);
    $pdf->Cell($larguraUtil,3,utf8_decode('3-Métodos de análise segundo as RAS em vigor.'),0,1,'L');//lab nome
	//COLOCA UMA LINHA NO FINAL DE NOTAS
    $pdf->Line($margemEsquerda,$cota1+16,$margemDireita,$cota1+16);//



//local/data/assinatura	
$cota1+=17;    
	$pdf->setXY($margemEsquerda,$cota1);
    //$pdf->Cell($larguraUtil,5,utf8_decode($vetorDadosDocumento[29]),0,1,'L');
    $pdf->Cell(85,4.5,utf8_decode($vetorCabecalho[6]).", ".$vetorDadosDocumento[27] ,'0',1,'L');

	$cota1+=5;
	 $posicao2=100;
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,125,$cota1-7,61,14,'JPG');
     endif;
     //COLOCA UMA LINHA de assinatura
     $pdf->Line($posicao2,$cota1+15,$margemDireita-10,$cota1+15);//
	 //dados do tecnico 
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$cota1);
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$cota1+16);
	 $pdf->Cell(88,4.5,utf8_decode($vetorTecnico[1]),'0',1,'C');
     $pdf->setXY($posicao2,$cota1+21);
	 $pdf->Cell(88,4.5,' CREA:'.$vetorTecnico[2].'  RENASEM:'.$vetorTecnico[3],'0',1,'C');		
	
	

	ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
